import request from '@/utils/request'

// 查询施工队信息列表
export function listConstruction(query) {
  return request({
    url: '/information/construction/list',
    method: 'get',
    params: query
  })
}

// 查询施工队信息详细
export function getConstruction(id) {
  return request({
    url: '/information/construction/' + id,
    method: 'get'
  })
}

// 新增施工队信息
export function addConstruction(data) {
  return request({
    url: '/information/construction',
    method: 'post',
    data: data
  })
}

// 修改施工队信息
export function updateConstruction(data) {
  return request({
    url: '/information/construction',
    method: 'put',
    data: data
  })
}

// 删除施工队信息
export function delConstruction(id) {
  return request({
    url: '/information/construction/' + id,
    method: 'delete'
  })
}
